// priority: 10

global.remove_recipes_output = (recipes) => {
  ServerEvents.recipes((event) => {
    recipes.forEach((recipe) => {
      event.remove({ output: recipe });
    });
  });
};

global.remove_recipes_output_type_crafting = (recipes) => {
  // For crafting table recipes
  ServerEvents.recipes((event) => {
    recipes.forEach((recipe) => {
      event.remove([
        { type: "minecraft:crafting_shaped", output: recipe },
        { type: "minecraft:crafting_shapeless", output: recipe },
      ]);
    });
  });
};
